Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ReportSupergroupSpam

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ReportSupergroupSpam

Enclosing class:
  TdApi

public static final class TdApi.ReportSupergroupSpam extends TdApi.Function<TdApi.Ok>
Reports some messages from a user in a supergroup as spam; requires administrator rights in the supergroup.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long[]`
`messageIds`
Identifiers of messages sent in the supergroup by the user.
`long`
`supergroupId`
Supergroup identifier.
`long`
`userId`
User identifier.

## Constructor Summary

Constructors
Constructor
Description
`ReportSupergroupSpam()`
Reports some messages from a user in a supergroup as spam; requires administrator rights in the supergroup.
`ReportSupergroupSpam(long supergroupId, long userId, long[] messageIds)`
Reports some messages from a user in a supergroup as spam; requires administrator rights in the supergroup.
`ReportSupergroupSpam(DataInput input)`
Reports some messages from a user in a supergroup as spam; requires administrator rights in the supergroup.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### supergroupId

public long supergroupId
Supergroup identifier.

### userId

public long userId
User identifier.

### messageIds

public long[] messageIds
Identifiers of messages sent in the supergroup by the user. This list must be non-empty.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ReportSupergroupSpam

public ReportSupergroupSpam()
Reports some messages from a user in a supergroup as spam; requires administrator rights in the supergroup.

Returns `Ok`

### ReportSupergroupSpam

public ReportSupergroupSpam(long supergroupId, long userId, long[] messageIds)
Reports some messages from a user in a supergroup as spam; requires administrator rights in the supergroup.

Returns `Ok`

Parameters:
  `supergroupId` - long Supergroup identifier.
  `userId` - long User identifier.
  `messageIds` - long[] Identifiers of messages sent in the supergroup by the user. This list must be non-empty.

### ReportSupergroupSpam

public ReportSupergroupSpam(DataInput input) throws IOException
Reports some messages from a user in a supergroup as spam; requires administrator rights in the supergroup.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`